var dpsAdminFormChanged = [];
window.onbeforeunload = function(){
	// If there are at lease one unsaved form - show message for confirnation for page leave
	if(dpsAdminFormChanged.length)
		return 'Some changes were not-saved. Are you sure you want to leave?';
};
jQuery(document).ready(function(){
	//Forms ans pages styling
	jQuery('.taxonomy-dps_book #wpbody-content, .post-type-dps_page #wpbody-content')
		.addClass('supsystic-plugin');
	jQuery('' +
	'.supsystic-plugin #bulk-action-selector-top, ' +
	'.supsystic-plugin #bulk-action-selector-bottom, ' +
	'.supsystic-plugin #filter-by-date, ' +
	'.supsystic-plugin select[name="dps_book"]')
		.addClass('chosen_fixed_width');
	jQuery('.supsystic-plugin select[name="pdf_to_format"]')
		.addClass('chosen_auto_width');
	jQuery('.chosen_fixed_width').chosen({width: "120px", disable_search_threshold: 10});
	jQuery('.chosen_auto_width').chosen({width: "auto", disable_search_threshold: 10});

	jQuery('.supsystic-plugin label[for="name"], .supsystic-plugin label[for="tag-name"]')
		.html(toeLangDps('Name'))
		.css({marginRight: '3px', verticalAlign: 'middle'})
		.after('<i class="fa fa-question supsystic-tooltip" title="The name is how it appears on your site." style="vertical-align: middle;"></i>');

	jQuery('.supsystic-plugin .term-name-wrap').find('p').hide();
	jQuery('.supsystic-plugin table tr').mouseover(function(){
		jQuery('.supsystic-plugin .row-actions').hide();
	});
	jQuery('.supsystic-plugin .tablenav.top .alignleft.actions.bulkactions').append(jQuery('form.search-form'));
	jQuery('.supsystic-plugin .tablenav.top .alignleft.actions:not(.bulkactions)').append(jQuery('#posts-filter p.search-box'));
	jQuery('.supsystic-plugin .tablenav.top').append('<hr style="margin: 2px -5px;">');
	jQuery('.supsystic-plugin .tablenav.bottom').prepend('<hr style="margin: 0px -5px 4px -5px;">');
	jQuery('.supsystic-plugin .wp-list-table').find('a.row-title').each(function(){
		jQuery(this).append(' <i class="fa fa-fw fa-pencil" style="margin-top: 2px;"></i>');
	});
	dpsInitCustomCheckRadio();
	// Fix for main checkboxes in  publications' and pages' tables
	jQuery('.supsystic-plugin #posts-filter thead input[type="checkbox"], .supsystic-plugin #posts-filter tfoot input[type="checkbox"]').on('change', function() {
		var subCheckboxes = jQuery('.supsystic-plugin #posts-filter input[type="checkbox"]');

		if(jQuery(this).is(':checked')) {
			subCheckboxes.each(function() {
				jQuery(this).iCheck('check');
			});
		} else {
			subCheckboxes.each(function() {
				jQuery(this).iCheck('uncheck');
			});
		}
	});
	//Tables checkboxes update status
	jQuery('.check-column input[type="checkbox"]').on('change', function() {
		dpsCheckUpdate(jQuery('.supsystic-plugin table').find('.check-column input'));
	});
	//Tooltipster initialization
	var tooltipsterSettings = {
		contentAsHTML: true
	,	interactive: true
	,	speed: 250
	,	delay: 0
	,	animation: 'swing'
	,	maxWidth: 450
	};
	if(jQuery('.supsystic-tooltip').size()) {
		tooltipsterSettings.position = 'top-left';
		jQuery('.supsystic-tooltip').tooltipster( tooltipsterSettings );
	}
	if(jQuery('.supsystic-tooltip-bottom').size()) {
		tooltipsterSettings.position = 'bottom-left';
		jQuery('.supsystic-tooltip-bottom').tooltipster( tooltipsterSettings );
	}
	if(jQuery('.supsystic-tooltip-left').size()) {
		tooltipsterSettings.position = 'left';
		jQuery('.supsystic-tooltip-left').tooltipster( tooltipsterSettings );
	}
	if(jQuery('.supsystic-tooltip-right').size()) {
		tooltipsterSettings.position = 'right';
		jQuery('.supsystic-tooltip-right').tooltipster( tooltipsterSettings );
	}
	// Timeout - is to count only user changes, because some changes can be done auto when form is loaded
	setTimeout(function() {
		// If some changes was made in those forms and they were not saved - show message for confirnation before page reload
		var formsPreventLeave = ['dpsAdminOptsForm', 'edittag'];
		jQuery('#'+ formsPreventLeave.join(', #')).find('input,select').change(function(){
			var formId = jQuery(this).parents('form:first').attr('id');
			changeAdminFormDps(formId);
		});
		jQuery('#'+ formsPreventLeave.join(', #')).find('input[type=text],textarea').keyup(function(){
			var formId = jQuery(this).parents('form:first').attr('id');
			changeAdminFormDps(formId);
		});
		jQuery('#'+ formsPreventLeave.join(', #')).submit(function(){
			adminFormSavedDps( jQuery(this).attr('id') );
		});
	}, 1000);

	jQuery('.toeRemovePlugActivationNoticeDps').click(function(){
		jQuery(this).parents('.info_box:first').animateRemoveDps();
		return false;
	});
	if(window.location && window.location.href && window.location.href.indexOf('plugins.php')) {
		if(DPS_DATA.allCheckRegPlugs && typeof(DPS_DATA.allCheckRegPlugs) == 'object') {
			for(var plugName in DPS_DATA.allCheckRegPlugs) {
				var plugRow = jQuery('#'+ plugName.toLowerCase())
					,	updateMsgRow = plugRow.next('.plugin-update-tr');
				if(plugRow.size() && updateMsgRow.find('.update-message').size()) {
					updateMsgRow.find('.update-message').find('a').each(function(){
						if(jQuery(this).html() == 'update now') {
							jQuery(this).click(function(){
								toeShowModuleActivationPopupDps( plugName, 'activateUpdate', jQuery(this).attr('href') );
								return false;
							});
						}
					});
				}
			}
		}
	}
	jQuery(".supsystic-plugin .nosubsub .tooltipstered").removeAttr("title");
});
function toeShowModuleActivationPopupDps(plugName, action, goto) {
	action = action ? action : 'activatePlugin';
	goto = goto ? goto : '';
	jQuery('#toeModActivationPopupFormDps').find('input[name=plugName]').val(plugName);
	jQuery('#toeModActivationPopupFormDps').find('input[name=action]').val(action);
	jQuery('#toeModActivationPopupFormDps').find('input[name=goto]').val(goto);

	tb_show(toeLangDps('Activate plugin'), '#TB_inline?width=710&height=220&inlineId=toeModActivationPopupShellDps', false);
	var popupWidth = jQuery('#TB_ajaxContent').width()
		,	docWidth = jQuery(document).width();
	// Here I tried to fix usual wordpsess popup displace to right side
	jQuery('#TB_window').css({'left': Math.round((docWidth - popupWidth)/2)+ 'px', 'margin-left': '0'});
}
function changeAdminFormDps(formId) {
	if(jQuery.inArray(formId, dpsAdminFormChanged) == -1)
		dpsAdminFormChanged.push(formId);
}
function adminFormSavedDps(formId) {
	if(dpsAdminFormChanged.length) {
		for(var i in dpsAdminFormChanged) {
			if(dpsAdminFormChanged[i] == formId) {
				dpsAdminFormChanged.pop(i);
			}
		}
	}
}
function checkAdminFormSaved() {
	if(dpsAdminFormChanged.length) {
		if(!confirm(toeLangDps('Some changes were not-saved. Are you sure you want to leave?'))) {
			return false;
		}
		dpsAdminFormChanged = [];	// Clear unsaved forms array - if user wanted to do this
	}
	return true;
}
function isAdminFormChanged(formId) {
	if(dpsAdminFormChanged.length) {
		for(var i in dpsAdminFormChanged) {
			if(dpsAdminFormChanged[i] == formId) {
				return true;
			}
		}
	}
	return false;
}
function dpsInitCustomCheckRadio(selector) {
	if(!selector)
		selector = document;
	jQuery(selector).find('input').iCheck('destroy').iCheck({
		checkboxClass: 'icheckbox_minimal'
	,	radioClass: 'iradio_minimal'
	}).on('ifChanged', function(e){
		// for checkboxHiddenVal type, see class htmlDps
		jQuery(this).trigger('change');
		if(jQuery(this).hasClass('cbox')) {
			var parentRow = jQuery(this).parents('.jqgrow:first');
			if(parentRow && parentRow.size()) {
				jQuery(this).parents('td:first').trigger('click');
			} else {
				var checkId = jQuery(this).attr('id');
				if(checkId && checkId != '' && strpos(checkId, 'cb_') === 0) {
					var parentTblId = str_replace(checkId, 'cb_', '');
					if(parentTblId && parentTblId != '' && jQuery('#'+ parentTblId).size()) {
						jQuery('#'+ parentTblId).find('input[type=checkbox]').iCheck('update');
					}
				}
			}
		}
	}).on('ifClicked', function(e){
		jQuery(this).trigger('click');
	});
}
function dpsCheckDestroy(checkbox) {
	jQuery(checkbox).iCheck('destroy');
}
function dpsCheckDestroyArea(selector) {
	jQuery(selector).find('input[type=checkbox]').iCheck('destroy');
}
function dpsCheckUpdate(checkbox) {
	jQuery(checkbox).iCheck('update');
}
function dpsCheckUpdateArea(selector) {
	jQuery(selector).find('input[type=checkbox], input[type=radio]').iCheck('update');
}