function dpsBookManager() {
	this._booksByIds = {};
}
dpsBookManager.prototype.create = function(bookData) {
	this._booksByIds[ bookData.term_id ] = new dpsBook( bookData );
	return this._booksByIds[ bookData.term_id ];
};
dpsBookManager.prototype.getById = function(bookId) {
	return this._booksByIds[ bookId ] ? this._booksByIds[ bookId ] : false;
};
dpsBookManager.prototype.getAll = function() {
	return this._booksByIds;
};