<?php
class mailControllerDps extends controllerDps {
	public function testEmail() {
		$res = new responseDps();
		$email = reqDps::getVar('test_email', 'post');
		if($this->getModel()->testEmail($email)) {
			$res->addMessage(__('Now check your email inbox / spam folders for test mail.'));
		} else 
			$res->pushError ($this->getModel()->getErrors());
		$res->ajaxExec();
	}
	public function saveMailTestRes() {
		$res = new responseDps();
		$result = (int) reqDps::getVar('result', 'post');
		frameDps::_()->getModule('options')->getModel()->save('mail_function_work', $result);
		$res->ajaxExec();
	}
	public function saveOptions() {
		$res = new responseDps();
		$optsModel = frameDps::_()->getModule('options')->getModel();
		$submitData = reqDps::get('post');
		if($optsModel->saveGroup($submitData)) {
			$res->addMessage(__('Done', DPS_LANG_CODE));
		} else
			$res->pushError ($optsModel->getErrors());
		$res->ajaxExec();
	}
	public function getPermissions() {
		return array(
			DPS_USERLEVELS => array(
				DPS_ADMIN => array('testEmail', 'saveMailTestRes', 'saveOptions')
			),
		);
	}
}
