<?php
class pageControllerDps extends controllerDps {
	public function remove() {
		$res = new responseDps();
		if($this->getModel()->remove(reqDps::get('post')))  {
			$res->addMessage(__('Done', DPS_LANG_CODE));
		} else
			$res->pushError ($this->getModel()->getErrors());
		$res->ajaxExec();
	}
	public function split() {
		$res = new responseDps();
		if($addedIds = $this->getModel()->split(reqDps::get('post')))  {
			$addedPages = $this->getModel()->get(array('id' => $addedIds, 'includeEditLink' => true));
			$res->addData('addedPages', $addedPages);
			$res->addMessage(__('Done', DPS_LANG_CODE));
		} else
			$res->pushError ($this->getModel()->getErrors());
		$res->ajaxExec();
	}
	public function merge() {
		$res = new responseDps();
		if($addedId = $this->getModel()->merge(reqDps::get('post')))  {
			$addedPage = $this->getModel()->getById($addedId, array('includeEditLink' => true));
			$res->addData('addedPage', $addedPage);
			$res->addMessage(__('Done', DPS_LANG_CODE));
		} else
			$res->pushError ($this->getModel()->getErrors());
		$res->ajaxExec();
	}
	/**
	 * @see controller::getPermissions();
	 */
	public function getPermissions() {
		return array(
			DPS_USERLEVELS => array(
				DPS_ADMIN => array('remove', 'split', 'merge')
			),
		);
	}
}
