jQuery(document).ready(function(){
	if(typeof(dpsBookSelectedId) !== 'undefined' && dpsBookSelectedId) {
		jQuery('#post').find('input[type=checkbox][name="tax_input[dps_book][]"][value='+ dpsBookSelectedId+ ']')
			.attr('checked', 'checked')
			.iCheck('update');
	}
	jQuery('#major-publishing-actions')
		.append('<input id="dpsAdminPageUpdatePreviewBtn" type="submit" name="save" value="Update and Preview" class="button button-primary button-large"/>')
		.append('<div style="clear: both;"></div>');
	jQuery('#dpsAdminPageUpdatePreviewBtn').click(function(){
		jQuery('#major-publishing-actions').append('<input type="hidden" name="open_page_preview" value="1" />');
	});
	jQuery('.add-new-h2').click(function(){
		var firstSelectedBookId = dpsPageGetFirstSelectedBookId();
		if(firstSelectedBookId) {
			jQuery(this).attr('href', jQuery(this).attr('href')+ '&dps_book='+ firstSelectedBookId);
		}
	});
	dpsCheckActiveBatchAddPagesBtns();
	jQuery('[name="tax_input[dps_book][]"]').change(function(){
		dpsCheckActiveBatchAddPagesBtns();
	});
	jQuery('.dpsAdminBatchPgAddFromPg').click(function(){
		if(jQuery(this).hasClass('button-primary')) {
			var firstSelectedBookId = dpsPageGetFirstSelectedBookId()
			,	baseHref = jQuery(this).attr('href');
			window.open(str_replace(str_replace(baseHref, 
				'DYNAMIC_BOOK_ID', firstSelectedBookId), 
				'DYNAMIC_HASH', jQuery(this).data('hash')));
		} else {
			
			jQuery('html, body').animate({
				scrollTop: jQuery("#dps_bookdiv").offset().top
			}, 1000, function() {
				jQuery('#dps_bookdiv').animate({
					backgroundColor: '#aaffaa'
				}, 500, function() {
					jQuery('#dps_bookdiv').animate({
						backgroundColor: '#ffffff'
					}, 500);
				});
			});
			if(!jQuery('#dpsSelectBookFirstMsg').size()) {
				jQuery('<div id="dpsSelectBookFirstMsg" style="background-color: #aaffaa; font-weight: bold; padding: 3px;" />')
					.html(toeLangDps('Select publication at first'))
					.insertBefore('#dps_bookdiv');
			}
		}
		return false;
	});
});
if(dpsOpenPagePreview) {
	if(typeof(dpsPagePreviewUrl) !== 'undefined' && dpsPagePreviewUrl && dpsPagePreviewUrl != '') {
		window.open(dpsPagePreviewUrl);
	}
}
function dpsCheckActiveBatchAddPagesBtns() {
	var firstSelectedBookId = dpsPageGetFirstSelectedBookId();
	if(firstSelectedBookId) {
		jQuery('.dpsAdminBatchPgAddFromPg').addClass('button-primary');
		jQuery('#dpsSelectBookFirstMsg').remove();
	} else {
		jQuery('.dpsAdminBatchPgAddFromPg').removeClass('button-primary');
	}
}
