<?php
class pages_importDps extends moduleDps {
	public function init() {
		dispatcherDps::addFilter('bookAdminAddTabs', array($this, 'addBookTabs'), 1, 2);
	}
	public function addBookTabs($tabs, $book) {
		$tabs = array('dpsAdminBookBatchPostsImport' => array(
			'label' => '<i class="fa fa-plus-square"></i><span>'. __('Import Pages', DPS_LANG_CODE) . '</span>',
			'content' => $this->getAdminTabHtml($book),
		)) + $tabs;
		return $tabs;
	}
	public function getAdminTabHtml($book) {
		return $this->getView()->getAdminTabHtml($book);
	}
}